#
# spec file for package konstraint
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define __arch_install_post export NO_BRP_STRIP_DEBUG=true

Name:           konstraint
Version:        0.31.0
Release:        1.1
Summary:        A policy management tool for interacting with Gatekeeper
License:        Apache-2.0
URL:            https://github.com/plexsystems/konstraint
Source:         konstraint-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  go >= 1.17

%description
Konstraint is a CLI tool to assist with the creation and management of templates and constraints when using Gatekeeper.

%prep
%setup -q
%setup -q -T -D -a 1

%build
go build \
   -mod=vendor \
   -ldflags="-X main.Version=%{version}"

%install
# Install the binary.
install -D -m 0755 %{name} "%{buildroot}/%{_bindir}/%{name}"

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}

%changelog
* Wed Sep  6 2023 kastl@b1-systems.de
- Update to version 0.31.0:
  * build(deps): bump github.com/open-policy-agent/opa from 0.55.0
    to 0.56.0 (#430)
  * fix: Fix acceptance tests after doc changes in #428 (#431)
  * feat: Support custom doc template (#428)
  * deps: Move to sigs.k8s.io/yaml (#429)
  * fix broken link to OPA Metadata Annotations (#427)
  * Bump k8s.io/apiextensions-apiserver from 0.28.0 to 0.28.1
    (#426)
  * Bump github.com/open-policy-agent/opa from 0.54.0 to 0.55.0
    (#418)
  * Bump k8s.io/apiextensions-apiserver from 0.27.3 to 0.28.0
    (#424)
  * Bump golang from 1.20.5-alpine to 1.21.0-alpine (#422)
  * Bump golang.org/x/text from 0.11.0 to 0.12.0 (#419)
  * Bump alpine from 3.18.2 to 3.18.3 (#421)
  * Bump golang.org/x/text from 0.10.0 to 0.11.0 (#414)
* Mon Jul  3 2023 kastl@b1-systems.de
- Update to version 0.30.0:
  * Bump github.com/open-policy-agent/opa from 0.53.1 to 0.54.0
    (#413)
  * Bump golang.org/x/text from 0.9.0 to 0.10.0 (#409)
  * Bump k8s.io/apiextensions-apiserver from 0.27.2 to 0.27.3
    (#411)
  * Bump alpine from 3.18.0 to 3.18.2 (#412)
  * Bump k8s.io/apimachinery from 0.27.2 to 0.27.3 (#410)
  * Bump golang from 1.20.4-alpine to 1.20.5-alpine (#408)
* Mon Jun 12 2023 kastl@b1-systems.de
- Update to version 0.29.1:
  * Bump github.com/open-policy-agent/opa from 0.53.0 to 0.53.1
    (#407)
  * Bump github.com/sirupsen/logrus from 1.9.2 to 1.9.3 (#406)
  * Bump github.com/spf13/viper from 1.15.0 to 1.16.0 (#405)
* Tue May 30 2023 kastl@b1-systems.de
- Update to version 0.29.0:
  * Bump github.com/open-policy-agent/opa from 0.52.0 to 0.53.0
    (#404)
  * Bump k8s.io/apiextensions-apiserver from 0.27.1 to 0.27.2
    (#402)
  * Bump alpine from 3.17.3 to 3.18.0 (#399)
* Mon May  8 2023 kastl@b1-systems.de
- Update to version 0.28.0:
  * build: Bump Go to 1.20.4 (#398)
  * Bump github.com/open-policy-agent/opa from 0.51.0 to 0.52.0
    (#397)
  * Bump k8s.io/apiextensions-apiserver from 0.26.3 to 0.27.1
    (#395)
  * Bump k8s.io/apimachinery from 0.26.3 to 0.27.1 (#396)
* Thu Apr 13 2023 kastl@b1-systems.de
- Update to version 0.27.1:
  * Bump github.com/spf13/cobra from 1.6.1 to 1.7.0 (#388)
  * Bump golang from 1.20.2-alpine to 1.20.3-alpine (#392)
  * Added build step for linux/arm64 to make release (#390)
  * Bump alpine from 3.17.2 to 3.17.3 (#387)
* Mon Apr  3 2023 kastl@b1-systems.de
- Update to version 0.27.0:
  * Bump github.com/open-policy-agent/opa from 0.50.2 to 0.51.0
    (#386)
  * ci: Bump Go in CI to 1.20.x (#373)
* Wed Mar 22 2023 kastl@b1-systems.de
- Update to version 0.26.1:
  * Bump k8s.io/apiextensions-apiserver from 0.26.2 to 0.26.3
    (#383)
  * Bump actions/setup-go from 3 to 4 (#382)
  * Bump golang from 1.20.1-alpine to 1.20.2-alpine (#380)
  * Bump k8s.io/apimachinery from 0.26.2 to 0.26.3 (#384)
  * Bump github.com/open-policy-agent/opa from 0.50.0 to 0.50.2
    (#385)
* Mon Mar 13 2023 kastl@b1-systems.de
- Update to version 0.26.0:
  * Bump github.com/open-policy-agent/opa from 0.49.2 to 0.50.0
    (#379)
  * Bump golang.org/x/text from 0.7.0 to 0.8.0 (#378)
  * Bump k8s.io/apiextensions-apiserver from 0.26.1 to 0.26.2
    (#377)
  * Bump k8s.io/apimachinery from 0.26.1 to 0.26.2 (#376)
  * Bump github.com/open-policy-agent/opa from 0.49.0 to 0.49.2
    (#375)
  * Bump golang from 1.19.5-alpine to 1.20.1-alpine (#372)
  * Bump golang.org/x/net from 0.5.0 to 0.7.0 (#371)
  * Bump alpine from 3.17.1 to 3.17.2 (#370)
  * Bump golang.org/x/text from 0.6.0 to 0.7.0 (#369)
* Mon Feb 27 2023 kastl@b1-systems.de
- Update to version 0.25.1:
  * Bump github.com/open-policy-agent/opa from 0.49.0 to 0.49.2 (#375)
* Wed Feb  8 2023 kastl@b1-systems.de
- Update to version 0.25.0:
  * Bump github.com/open-policy-agent/opa from 0.48.0 to 0.49.0 (#368)
  * Bump k8s.io/apiextensions-apiserver from 0.26.0 to 0.26.1 (#365)
  * Bump k8s.io/apimachinery from 0.26.0 to 0.26.1 (#364)
  * Bump github.com/spf13/viper from 1.14.0 to 1.15.0 (#363)
  * Bump golang from 1.19.4-alpine to 1.19.5-alpine (#362)
  * Bump github.com/open-policy-agent/opa from 0.47.4 to 0.48.0 (#360)
  * Bump alpine from 3.17.0 to 3.17.1 (#361)
  * Bump golang.org/x/text from 0.5.0 to 0.6.0 (#359)
  * Bump k8s.io/apiextensions-apiserver from 0.23.4 to 0.26.0 (#354)
  * Bump golang from 1.19.3-alpine to 1.19.4-alpine (#357)
  * Bump golang from 1.19.3-alpine to 1.19.4-alpine (#357)
  * Bump github.com/open-policy-agent/opa from 0.47.0 to 0.47.4 (#358)
  * Bump k8s.io/apimachinery from 0.25.4 to 0.26.0 (#355)
  * Bump alpine from 3.16.3 to 3.17.0 (#348)
  * Bump github.com/open-policy-agent/opa from 0.46.1 to 0.47.0 (#349)
  * Bump golang.org/x/text from 0.4.0 to 0.5.0 (#350)
  * Update test data to use OPA metadata (#341)
  * Use environment file for GITHUB_OUTPUT (#347)
  * Bump github.com/spf13/viper from 1.13.0 to 1.14.0 (#344)
  * Bump k8s.io/apimachinery from 0.25.3 to 0.25.4 (#345)
  * Bump alpine from 3.16.2 to 3.16.3 (#346)
  * Bump github.com/open-policy-agent/opa from 0.45.0 to 0.46.1 (#343)
  * Bump golang from 1.19.2-alpine to 1.19.3-alpine (#342)
  * Bump github.com/spf13/cobra from 1.6.0 to 1.6.1 (#340)
* Thu Oct 20 2022 kastl@b1-systems.de
- Update to version 0.24.0:
  * Bump golang.org/x/text from 0.3.8 to 0.4.0 (#339)
  * Bump github.com/spf13/cobra from 1.5.0 to 1.6.0 (#336)
  * feat: add metadata via header annotations in rego (#324)
  * Bump k8s.io/apimachinery from 0.25.2 to 0.25.3 (#338)
  * Bump golang.org/x/text from 0.3.7 to 0.3.8 (#337)
  * Bump github.com/open-policy-agent/opa from 0.44.0 to 0.45.0 (#334)
  * Bump golang from 1.19.1-alpine to 1.19.2-alpine (#335)
  * Bump k8s.io/apimachinery from 0.25.1 to 0.25.2 (#333)
  * Bump k8s.io/apimachinery from 0.25.0 to 0.25.1 (#332)
  * Update pipelines to use 1.19 (#331)
  * Bump github.com/open-policy-agent/opa from 0.43.0 to 0.44.0 (#328)
  * Bump golang from 1.18.5-alpine to 1.19.1-alpine (#329)
  * Use mod flag when updating documentation
  * Disable PSPs when installing Gatekeeper
  * Bump github.com/spf13/viper from 1.12.0 to 1.13.0 (#326)
  * Fix the description for lint in makefile (#325)
  * Bump k8s.io/apimachinery from 0.24.4 to 0.25.0 (#321)
  * Bump k8s.io/apimachinery from 0.24.3 to 0.24.4 (#320)
  * Bump alpine from 3.16.1 to 3.16.2 (#319)
  * Bump golang from 1.18.4-alpine to 1.18.5-alpine (#317)
* Mon Aug  1 2022 kastl@b1-systems.de
- Update to version 0.23.0:
  * Bump github.com/open-policy-agent/opa from 0.42.2 to 0.43.0 (#316)
  * Bump alpine from 3.16.0 to 3.16.1 (#315)
  * Bump github.com/sirupsen/logrus from 1.8.1 to 1.9.0 (#314)
  * Bump golang from 1.18.3-alpine to 1.18.4-alpine (#313)
* Sat Jul 16 2022 kastl@b1-systems.de
- Update to version 0.22.2:
  * Fix a bug that prevented line breaks from being output in docs when multiple parameters were specified (#311)
  * Bump github.com/open-policy-agent/opa from 0.42.1 to 0.42.2 (#310)
  * Bump k8s.io/apimachinery from 0.24.2 to 0.24.3 (#312)
  * Add Darwin arm64 build to release target
* Mon Jul 11 2022 kastl@b1-systems.de
- Update to version 0.22.1:
  * Bump github.com/open-policy-agent/opa from 0.42.0 to 0.42.1 (#309)
* Wed Jul  6 2022 kastl@b1-systems.de
- Update to version 0.22.0:
  * Add support for skip-template annotation (#307)
  * Bump github.com/open-policy-agent/opa from 0.41.0 to 0.42.0 (#306)
  * Bump github.com/spf13/cobra from 1.4.0 to 1.5.0 (#305)
  * Bump k8s.io/apimachinery from 0.24.1 to 0.24.2 (#303)
  * Bump golang from 1.18.2-alpine to 1.18.3-alpine (#300)
  * Update constraint_creation.md (#302)
  * Remove measurements lib from examples (#299)
  * Bump github.com/open-policy-agent/opa from 0.40.0 to 0.41.0 (#298)
  * Misc. verbiage fixes (#296)
* Tue May 31 2022 kastl@b1-systems.de
- Update to version 0.21.0:
  * Add command to convert legacy annotations to OPA Metadata annotations (#294)
  * Fix OPA Metadata parameters validation (fix #293) (#295)
  * Bump github.com/spf13/viper from 1.11.0 to 1.12.0 (#292)
  * Bump k8s.io/apimachinery from 0.24.0 to 0.24.1 (#291)
  * Check parent as well as exact match when resolving imports (#286)
  * Bump golang from 1.18.1-alpine to 1.18.2-alpine (#290)
  * Bump alpine from 3.15.4 to 3.16.0 (#289)
  * Have Dependabot run more often (#288)
  * Bump k8s.io/apimachinery from 0.23.6 to 0.24.0 (#285)
  * Add support for using OPA Metadata Annotations (#281)
  * Run e2e tests weekly (#284)
  * Run e2e tests weekly (#283)
  * Run e2e tests weekly (#282)
* Wed May 18 2022 kastl@b1-systems.de
- Update to version 0.20.0:
  * Parse parameter names from rule header values in addition to the body (#279)
  * Allow adding description to parameters - fix #273 (#275)
  * Group and sort kind matchers by apiGroup (fix #269) (#272)
  * Merge repeated @matchlabels and @kinds annotations (#271)
  * Fix violation rule return format in test policy (#274)
* Thu May  5 2022 kastl@b1-systems.de
- Update to version 0.19.1:
  * Bump github.com/open-policy-agent/opa from 0.39.0 to 0.40.0 (#265)
  * Bump github.com/spf13/viper from 1.10.1 to 1.11.0 (#262)
  * Bump k8s.io/apimachinery from 0.23.5 to 0.23.6 (#261)
  * Bump golang from 1.17.7-alpine to 1.18.1-alpine (#264)
  * Bump alpine from 3.15.3 to 3.15.4 (#263)
  * Fix Go linter check (#266)
  * Bump actions/upload-artifact from 2 to 3 (#260)
  * Bump actions/download-artifact from 2 to 3 (#259)
  * Bump actions/setup-go from 2 to 3 (#258)
  * Include test/ folder in e2e tests (#257)
* Thu Apr 14 2022 kastl@b1-systems.de
- Update to version 0.19.0:
  * Add @namespaces and @excludedNamespaces matchers (#255)
  * Add docs for @matchExpression, @namespaces, @excludedNamespaces annotations (#256)
  * Only parse imports prefixed with data.lib.* (#249)
  * Add support for @matchExpression label selector (#251)
  * Bump k8s.io/apimachinery from 0.23.4 to 0.23.5 (#250)
  * Bump github.com/open-policy-agent/opa from 0.38.1 to 0.39.0 (#254)
  * Bump alpine from 3.14.2 to 3.15.3 (#253)
  * Bump EndBug/add-and-commit from 8.0.2 to 9 (#246)
  * go.mod: Bump dependencies (#247)
  * Bump actions/checkout from 2 to 3 (#245)
  * Bump golang from 1.17.6-alpine to 1.17.7-alpine (#241)
  * style: Consistent policy format via conftest fmt (#239)
  * go.mod: Update to opa-0.37.2 (#240)
  * Bump EndBug/add-and-commit from 8.0.1 to 8.0.2 (#235)
- BuildRequire go1.17
* Thu Feb  3 2022 kastl@b1-systems.de
- Update to version 0.18.0:
  * Update OPA version to 0.37.1 (#234)
  * Ignore the future.keywords import (#230)
* Wed Jan 26 2022 kastl@b1-systems.de
- Update to version 0.17.0:
  * Bump Go to 1.17.6 (#227)
  * Add ability to create partial Constraint resources for policies with parameters (#225)
  * Bump EndBug/add-and-commit from 7 to 8.0.1 (#226)
* Tue Jan  4 2022 kastl@b1-systems.de
- Update to version 0.16.0:
  * Konstraint can now generate v1 ConstraintTemplate resources with the --constraint-template-version flag. Thank you @tillepille for the contribution!
  * add flag to change constraintTemplate api version (#217)
  * Add end-to-end tests (#218)
  * Bump github.com/spf13/viper from 1.9.0 to 1.10.1 (#220)
  * Bump golang from 1.17.2-alpine to 1.17.5-alpine (#219)
  * Bump github.com/spf13/cobra from 1.2.1 to 1.3.0 (#222)
  * Install bats on MacOS runner (#216)
  * Fixed incorrect check of @parameter. Thank you @kitagry for the contribution!
  * Fix @parameter check (#215)
* Tue Jan  4 2022 kastl@b1-systems.de
- Update to version 0.15.1:
  * Bump github.com/open-policy-agent/opa from 0.33.0 to 0.34.0 (#207)
  * Bump golang from 1.17.1-alpine to 1.17.2-alpine (#206)
  * Bump github.com/open-policy-agent/opa from 0.32.0 to 0.33.0 (#202)
  * Bump github.com/spf13/viper from 1.8.1 to 1.9.0 (#203)
  * Bump golang from 1.17.0-alpine to 1.17.1-alpine (#200)
  * docs: Fix broken link in constraint_creation.md (#199)
* Tue Jan  4 2022 kastl@b1-systems.de
- Update to version 0.15.0:
  * Bump github.com/open-policy-agent/opa from 0.31.0 to 0.32.0 (#198)
  * Bump alpine from 3.14.0 to 3.14.2 (#195)
  * Bump golang from 1.16.6-alpine to 1.17.0-alpine (#194)
  * Bump github.com/open-policy-agent/opa from 0.30.1 to 0.31.0 (#191)
  * Bump golang from 1.16.5-alpine to 1.16.6-alpine (#190)
  * Add `--include-comments` flag for the `doc` command (#189)
* Tue Jan  4 2022 kastl@b1-systems.de
- Update to version 0.14.2:
  * Do not parse imports on documentation generation (#187)
  * Bump OPA to v0.30.1 with bug fixes and other improvements
* Thu Jun 17 2021 kastl@b1-systems.de
- Update to version 0.14.1:
  * Support enforcement actions other than deny and dryrun (#174)
  * Remove trailing space from each line on ingest (#176)
  * Add logging to Konstraint output (#171)
* Thu Jun  3 2021 kastl@b1-systems.de
- Update to version 0.14.0:
  * Preserve whitespace (#168)
  * Add golangci linter (#167)
  * Bump golang from 1.16.3-alpine to 1.16.4-alpine (#163)
  * Bump github.com/open-policy-agent/opa from 0.28.0 to 0.29.4 (#166)
  * Replace tabs with spaces (#160)
  * Update approaches for releases (#158)
* Wed May 26 2021 Johannes Kastl <kastl@b1-systems.de>
- initial version of package konstraint
